clear all
clc
close all
x_width=8 ;y_width=3; % figure dimensions (cms)
fonts=8; % fontsize of x and y labels
fonts_ticks=7;
lw=1;
lstyle={'--','-'};

load('Fig5_1_Effect_of_car_following.mat')

figure(13)
hold on
plot(x_traj_thw_normal_1,y_traj_thw_normal_1,...
    'Color',[0.5,0.5,0.5],'LineStyle',lstyle{1})
plot(x_traj_thw_normal_2,y_traj_thw_normal_2,...
    'Color',[0.5,0.5,0.5],'LineStyle',lstyle{2})
plot(x_traj_thw_sport_1,y_traj_thw_sport_1,...
    'Color',[0,0,0],'LineStyle',lstyle{1})
plot(x_traj_thw_sport_2,y_traj_thw_sport_2,...
    'Color',[0,0,0],'LineStyle',lstyle{2})

figure(14)
hold on
plot(x_point_thw_normal_1,y_point_thw_normal_1,...
    'o','MarkerFaceColor',[0.5,0.5,0.5],...
    'MarkerEdgeColor',[0.5,0.5,0.5],'MarkerSize',5)
plot(x_point_thw_normal_2,y_point_thw_normal_2,...
    'o','MarkerFaceColor',[0.5,0.5,0.5],...
    'MarkerEdgeColor',[0.5,0.5,0.5],'MarkerSize',5)
plot(x_point_thw_sport_1,y_point_thw_sport_1,...
    'o','MarkerFaceColor',[0,0,0],'MarkerEdgeColor',[0,0,0],'MarkerSize',5)
plot(x_point_thw_sport_2,y_point_thw_sport_2,...
    'o','MarkerFaceColor',[0,0,0],'MarkerEdgeColor',[0,0,0],'MarkerSize',5)

figure(15)
hold on
plot(x_traj_speed_normal_1,y_traj_speed_normal_1,...
    'Color',[0.5,0.5,0.5],'LineStyle',lstyle{1})
plot(x_traj_speed_normal_2,y_traj_speed_normal_2,...
    'Color',[0.5,0.5,0.5],'LineStyle',lstyle{2})
plot(x_traj_speed_sport_1,y_traj_speed_sport_1,...
    'Color',[0,0,0],'LineStyle',lstyle{1})
plot(x_traj_speed_sport_2,y_traj_speed_sport_2,...
    'Color',[0,0,0],'LineStyle',lstyle{2})

figure(16)
hold on
plot(x_point_decel_brake_normal,y_point_decel_brake_normal,...
    'o','MarkerFaceColor',[0.5,0.5,0.5],...
    'MarkerEdgeColor',[0.5,0.5,0.5],'MarkerSize',5)
plot(x_point_decel_brake_sport,y_point_decel_brake_sport,...
    'o','MarkerFaceColor',[0,0,0],'MarkerEdgeColor',[0,0,0],'MarkerSize',5)

Fig5_1_Plotting_details
