close all
clear all
clc

x_width=8;y_width=3; % figure dimensions (cms)
fonts=8; % fontsize of x and y labels
fonts_ticks=7;
lstyle={'--','-'};
mcolor=[0.5,0.5,0.5;0.0,0.0,0.0];

load('Fig5_2_Effect_of_overtaking.mat')


figure(17)
hold on
plot(x_traj_latdev_normal_1,y_traj_latdev_normal_1,'Color',mcolor(1,:),...
    'LineStyle',lstyle{1})
plot(x_traj_latdev_normal_2,y_traj_latdev_normal_2,'Color',mcolor(1,:),...
    'LineStyle',lstyle{2})
plot(x_traj_latdev_sport_1,y_traj_latdev_sport_1,'Color',mcolor(2,:),...
    'LineStyle',lstyle{1})
plot(x_traj_latdev_sport_2,y_traj_latdev_sport_2,'Color',mcolor(2,:),...
    'LineStyle',lstyle{2})

figure(18)
hold on
plot(x_traj_speed_normal_1,y_traj_speed_normal_1,'Color',mcolor(1,:),...
    'LineStyle',lstyle{1})
plot(x_traj_speed_normal_2,y_traj_speed_normal_2,'Color',mcolor(1,:),...
    'LineStyle',lstyle{2})
plot(x_traj_speed_sport_1,y_traj_speed_sport_1,'Color',mcolor(2,:),...
    'LineStyle',lstyle{1})
plot(x_traj_speed_sport_2,y_traj_speed_sport_2,'Color',mcolor(2,:),...
    'LineStyle',lstyle{2})

figure(19)
hold on
plot(x_point_ttc_lc(1),y_point_ttc_lc(1),'o',...
    'MarkerFaceColor',mcolor(1,:),...
    'MarkerEdgeColor',mcolor(1,:))
plot(x_point_ttc_lc(2),y_point_ttc_lc(2),'o',...
    'MarkerFaceColor',mcolor(1,:),...
    'MarkerEdgeColor',mcolor(1,:))
plot(x_point_ttc_lc(3),y_point_ttc_lc(3),'o',...
    'MarkerFaceColor',mcolor(2,:),...
    'MarkerEdgeColor',mcolor(2,:))
plot(x_point_ttc_lc(4),y_point_ttc_lc(4),'o',...
    'MarkerFaceColor',mcolor(2,:),...
    'MarkerEdgeColor',mcolor(2,:))

figure(20)
hold on
plot(x_point_ovt_dist(1),y_point_ovt_dist(1),'o',...
    'MarkerFaceColor',mcolor(1,:),...
    'MarkerEdgeColor',mcolor(1,:))
plot(x_point_ovt_dist(2),y_point_ovt_dist(2),'o',...
    'MarkerFaceColor',mcolor(1,:),...
    'MarkerEdgeColor',mcolor(1,:))
plot(x_point_ovt_dist(3),y_point_ovt_dist(3),'o',...
    'MarkerFaceColor',mcolor(2,:),...
    'MarkerEdgeColor',mcolor(2,:))
plot(x_point_ovt_dist(4),y_point_ovt_dist(4),'o',...
    'MarkerFaceColor',mcolor(2,:),...
    'MarkerEdgeColor',mcolor(2,:))


Fig5_2_Plotting_details

