clear all
close all
clc

x_width=8 ;y_width=3; % figure dimensions (cms)
fonts=8; % fontsize of x and y labels
fonts_ticks=7;
lw=1;
lstyle={'--','-'};

load('Fig5_3_Effect_of_oncoming_cars.mat')

figure(602)
hold on
plot(x_traj_latdev_normal_1,y_traj_latdev_normal_1,...
    'Linewidth',lw,'Color',[0.5,0.5,0.5],...
    'Linestyle',lstyle{1});
plot(x_traj_latdev_normal_2,y_traj_latdev_normal_2,...
    'Linewidth',lw,'Color',[0.5,0.5,0.5],...
    'Linestyle',lstyle{2});
plot(x_traj_latdev_sport_1,y_traj_latdev_sport_1,...
    'Linewidth',lw,'Color',[0,0,0],...
    'Linestyle',lstyle{1});
plot(x_traj_latdev_sport_2,y_traj_latdev_sport_2,...
    'Linewidth',lw,'Color',[0,0,0],...
    'Linestyle',lstyle{2});

figure(603)
hold on
plot(x_traj_speed_normal_1,y_traj_speed_normal_1,'Linewidth',lw,...
    'Color',[0.5,0.5,0.5],'Linestyle',lstyle{1});
plot(x_traj_speed_normal_2,y_traj_speed_normal_2,'Linewidth',lw,...
    'Color',[0.5,0.5,0.5],'Linestyle',lstyle{2});
plot(x_traj_speed_sport_1,y_traj_speed_sport_1,'Linewidth',lw,...
    'Color',[0,0,0],'Linestyle',lstyle{1});
plot(x_traj_speed_sport_2,y_traj_speed_sport_2,'Linewidth',lw,...
    'Color',[0,0,0],'Linestyle',lstyle{1});

figure(604)
hold on
plot([x_point_latdev_normal_0;x_point_latdev_normal_1;x_point_latdev_normal_2],...
[y_point_latdev_normal_0;y_point_latdev_normal_1;y_point_latdev_normal_2],'o',...
    'MarkerFaceColor',[0.5,0.5,0.5],...
    'MarkerEdgeColor',[0.5,0.5,0.5])
plot([x_point_latdev_sport_0;x_point_latdev_sport_1;x_point_latdev_sport_2],...
[y_point_latdev_sport_0;y_point_latdev_sport_1;y_point_latdev_sport_2],'o',...
    'MarkerFaceColor',[0,0,0],...
    'MarkerEdgeColor',[0,0,0])

figure(605)
hold on
plot([x_point_speed_normal_0;x_point_speed_normal_1;x_point_speed_normal_2],...
[y_point_speed_normal_0;y_point_speed_normal_1;y_point_speed_normal_2],'o',...
    'MarkerFaceColor',[0.5,0.5,0.5],...
    'MarkerEdgeColor',[0.5,0.5,0.5])
plot([x_point_speed_sport_0;x_point_speed_sport_1;x_point_speed_sport_2],...
[y_point_speed_sport_0;y_point_speed_sport_1;y_point_speed_sport_2],'o',...
    'MarkerFaceColor',[0,0,0],...
    'MarkerEdgeColor',[0,0,0])



Fig_5_3_Plotting_details