clear all
close all
x_width=8 ;y_width=3; % figure dimensions (cms)
fonts=8; % fontsize of x and y labels
fonts_ticks=7;
lstyle={'--','-'};
lw=1;

load('Fig4_4_Effect_of_asymmetric.mat')

figure(9)
hold on
plot(x_traj_speed_normal_1,...
    y_traj_speed_normal_1,'Linewidth',lw,'Color',...
    [0.5,0.5,0.5],'LineStyle',lstyle{1});
plot(x_traj_speed_normal_2,...
    y_traj_speed_normal_2,'Linewidth',lw,'Color',...
    [0.5,0.5,0.5],'LineStyle',lstyle{2});
plot(x_traj_speed_sport_1,...
    y_traj_speed_sport_1,'Linewidth',lw,'Color',...
    [0,0,0],'LineStyle',lstyle{1});
plot(x_traj_speed_sport_2,...
    y_traj_speed_sport_2,'Linewidth',lw,'Color',...
    [0,0,0],'LineStyle',lstyle{2});

figure(10)
hold on
plot(x_traj_latdev_normal_1,...
    y_traj_latdev_normal_1,'Linewidth',lw,'Color',...
    [0.5,0.5,0.5],'LineStyle',lstyle{1});
plot(x_traj_latdev_normal_2,...
    y_traj_latdev_normal_2,'Linewidth',lw,'Color',...
    [0.5,0.5,0.5],'LineStyle',lstyle{2});
plot(x_traj_latdev_sport_1,...
    y_traj_latdev_sport_1,'Linewidth',lw,'Color',...
    [0,0,0],'LineStyle',lstyle{1});
plot(x_traj_latdev_sport_2,...
    y_traj_latdev_sport_2,'Linewidth',lw,'Color',...
    [0,0,0],'LineStyle',lstyle{2});

figure(11)
hold on
plot(x_assym,y_mean_speed_normal,'o',...
    'MarkerFaceColor',[0.5,0.5,0.5],...
    'MarkerEdgeColor',[0.5,0.5,0.5])
plot(x_assym,y_mean_speed_sport,'o',...
    'MarkerFaceColor',[0,0,0],...
    'MarkerEdgeColor',[0,0,0])

figure(12)
hold on
plot(x_assym,y_mean_latdev_normal,'o',...
    'MarkerFaceColor',[0.5,0.5,0.5],...
    'MarkerEdgeColor',[0.5,0.5,0.5])
plot(x_assym,y_mean_latdev_sport,'o',...
    'MarkerFaceColor',[0,0,0],...
    'MarkerEdgeColor',[0,0,0])

Fig4_4_Plotting_details
